Cíl návrhu engine byl odstraněn
API při tomto problému vrací 409 Conflict. Hodnota type je https://lingo.dev/docs/api/errors/engine-suggestion-target-gone. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
Tento návrh engine upravuje záznam, který už neexistuje. Zamítněte jej.
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
id | string |
Příklad#
json
{
"detail": "This engine suggestion edits an entry that no longer exists. Dismiss it.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-target-gone",
"status": 409,
"title": "Engine suggestion target deleted"
}Vrací#
POST /v2/engine-suggestions/{id}/apply